Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#51 Le 09/04/2006, à 11:25

Splitsch

Re : # Nouveau problème # Install de e17.

Salut, l'autrz alternative a partir des source de lunti pourrait etre de faire l'option 2 puis 3, puis 4 etc..., ainsi, on passe le "mettre à jour les cvs"
Mais chez moi non plus ca marche pas (je suis sur dapper)

Ciao!

Hors ligne

#52 Le 09/04/2006, à 11:29

Aelor

Re : # Nouveau problème # Install de e17.

Blood, et comme elessar, il faut que tu utilises le cvs dans la signature de lut!n.


Ex Roane.

Ruby, le langage qui tue : http://rubyfr.org

Hors ligne

#53 Le 09/04/2006, à 11:33

blood

Re : # Nouveau problème # Install de e17.

c'est exactement ce que j'ai fait sad mais le script fait une mise a jour des cvs avant de compliler, je me demande si l'erreur ne vient pas de là. Je précise que je n'ai jamais téléchargé autre chose que les liens de la signature de lut!n, et je suis sous breezy.

Dernière modification par blood (Le 09/04/2006, à 11:33)

Hors ligne

#54 Le 09/04/2006, à 11:41

lut!n

Re : # Nouveau problème # Install de e17.

@Blood: ce sont des options de ligne de commande. Il faut lancer le script avec l'option -nocvs pour que ca marche. Et comme actuellement je me tue a expliquer que le script NE MARCHE PAS avec les cvs actuelles pour les raisons pré-citées, vous utilisez les sources de ma signature ou tout autre jeu de sources ayant plus de 8/9 jours.

@splitsch : des depots existent, google est ton ami, tu ne tarderas pas a trouver des depots debian/ubuntu. Aparemment Geoffrey connait des depots, il pourra surement te repondre

@Elessar : tu commances a me faire desesperer...si tu prends le choix 7 sans lancer le script avec l'option -nocvs, vu que c'est "tout faire", il va aussi mettre a jour les cvs...qui vont planter. voila smile. Il faut donc que tu telecharges messources, tu les decompresses, et tu lances le script avec l'option -nocvs, comme ca :

sudo python compil-17.py -nocvs

[mode lut!n en a marre]EST-CE QUE VOUS AVEZ CONSCIENCE QU'ON VIENT D'ECRIRE 2 PAGES DE TOPIC UNIQUEMENT PARCEQUE VOUS NE PRENEZ PAS LA PEINE DE LIRE LES PRECEDENTS POSTS ET CE QU'IL Y A MARQUE DANS LE SCRIPT mad[/off]

desolé, mais j'en ai vraiment plein le dos....l'option -nocvs n'est pas la pour rien quand meme ....
Promis a partir de maintenant je suis calme et patient donc si vous avez des questions, hésitez pas(ce qui ne vous dispense pas de lire wink)

Dernière modification par lut!n (Le 09/04/2006, à 15:38)

Hors ligne

#55 Le 09/04/2006, à 12:24

blood

Re : # Nouveau problème # Install de e17.

merci de ta patience lut!n smile
mais je rencontre un nouveau probleme ^^
J'ai une erreure arrivé a l'installation du package eet

Compilation de edb (1/15)
    - Construction des packages Debian
    - Installation des packages
Compilation de edb ==>  [OK]

Compilation de eet (2/15)
    - Construction des packages Debian
    - Installation des packages

La commande s'est mal passee, Voulez-vous afficher les dernieres lignes du log ?

Log :

********************************************************************
commande :   cd /home/blood/e17/e17/libs/eet && cd .. && dpkg -i *eet*.deb
********************************************************************

 (Lecture de la base de données... 106977 fichiers et répertoires déjà installés.)
Préparation du remplacement de libeet0 0.9.10.026 (en utilisant libeet0_0.9.10.026_i386.deb) ...
Dépaquetage de la mise à jour de libeet0 ...
dpkg : erreur de traitement de libeet0_0.9.10.026_i386.deb (--install) :
 tentative de remplacement de « /usr/bin/eet », qui appartient aussi au paquet eet0-debug
Préparation du remplacement de libeet0-dev 0.9.10.026 (en utilisant libeet0-dev_0.9.10.026_i386.deb) ...
Dépaquetage de la mise à jour de libeet0-dev ...
Paramétrage de libeet0-dev (0.9.10.026) ...
Des erreurs ont été rencontrées pendant l'exécution :
 libeet0_0.9.10.026_i386.deb

Hors ligne

#56 Le 09/04/2006, à 12:41

lut!n

Re : # Nouveau problème # Install de e17.

zut, je ne me souvenais pas que mes sources etaient impactées par ce probleme.
Supprime dans synaptic le paquet eet0-debug, et installes tout les paquets (sauf le debug bien sur) concernant eet (dans /e17/e17/libs)
ensuite reprend a la lib suivante suivant (choix 2, puis n°3)
wink

Hors ligne

#57 Le 09/04/2006, à 13:04

blood

Re : # Nouveau problème # Install de e17.

merci ca marche, jusqu'au 5/15 tongue
je commence a croire que j'y arriverai jamais lol

Compilation de evas (5/15)
    - Construction des packages Debian
    - Installation des packages

La commande s'est mal passee, Voulez-vous afficher les dernieres lignes du log ?

Log :

********************************************************************
commande :   cd /home/blood/e17/e17/libs/evas && cd .. && dpkg -i *evas*.deb
********************************************************************

 Sélection du paquet evas0-bin précédemment désélectionné.
(Lecture de la base de données... 106972 fichiers et répertoires déjà installés.)
Dépaquetage de evas0-bin (à partir de evas0-bin_0.9.9.026_i386.deb) ...
dpkg : erreur de traitement de evas0-bin_0.9.9.026_i386.deb (--install) :
 tentative de remplacement de « /usr/share/evas/fonts.alias », qui appartient aussi au paquet libevas0
Préparation du remplacement de libevas0 0.9.9.019-1 (en utilisant libevas0_0.9.9.026_i386.deb) ...
Dépaquetage de la mise à jour de libevas0 ...
dpkg: warning - unable to delete old directory `/usr/share/evas': Le répertoire n'est pas vide.
Sélection du paquet libevas0-dev précédemment désélectionné.
Dépaquetage de libevas0-dev (à partir de libevas0-dev_0.9.9.026_i386.deb) ...
Paramétrage de libevas0 (0.9.9.026) ...

Paramétrage de libevas0-dev (0.9.9.026) ...
Des erreurs ont été rencontrées pendant l'exécution :
 evas0-bin_0.9.9.026_i386.deb

Hors ligne

#58 Le 09/04/2006, à 13:18

lut!n

Re : # Nouveau problème # Install de e17.

oula c'st bizarre, on dirait que ce sont des residus de ton ancienne tentative, celle avec les sources recentes. Verifie que tous les paquets installés par ton ancienne tentative ont été supprimés, desinstalle tout tes paquets evas, vire /usr/share/evas et retente. Désolé pour tous ces désagréments.

Est-tu sur a 100% d'utilise les bonne sources ?

Note  avant de compiler des versions plus anciennes de e17, vérifiez bien d'avoir supprimé les paquets instalés par une tentative avec des sources plus récentes qui aurait échoué

Dernière modification par lut!n (Le 09/04/2006, à 13:45)

Hors ligne

#59 Le 09/04/2006, à 14:12

blood

Re : # Nouveau problème # Install de e17.

on avance lol
Ne sois pas désolé pour tout ca, je trouve vraiment sympas que tu m'aides autant et je t'en remercie infiniment smile
Oui je suis certains d'utilser tes sources, je n'en ai pas d'autres, et j'ai supprimé le rep e17 et redécompréssé avant de rentrer l'option -nocvs.

J'ai viré tous ce qui concerne evas et tout allait bien smile

Là serieusement j'y croyais lol mais ya encore une  erreure :'(

Compilation de engage (7/7)
    - Construction des packages Debian

La commande s'est mal passee, Voulez-vous afficher les dernieres lignes du log ?

Log :

********************************************************************
commande :   ldconfig
********************************************************************

  

********************************************************************
commande :   cd /home/blood/e17/misc/engage && cp -f debian/changelog.in debian/changelog && cp -f debian/changelog debian/changelog.in
********************************************************************

 sh: line 0: cd: /home/blood/e17/misc/engage: Aucun fichier ou répertoire de ce type 

********************************************************************
commande :   cd /home/blood/e17/misc/engage && rm -f config.guess config.sub
********************************************************************

 sh: line 0: cd: /home/blood/e17/misc/engage: Aucun fichier ou répertoire de ce type

Je commence vraiment a croire que je suis maudit lol

Hors ligne

#60 Le 09/04/2006, à 15:16

Splitsch

Re : # Nouveau problème # Install de e17.

Salut!
C'est pas paske il faut avoir décompressé dans ~/e17/e17/ et non pas simplement dans ~/e17/

Enfin, moi, il trouvais pas à cause de ca.
J'ai lancé le script et juska présent tout va bien, j'a pas fait l'option 7, seulement la 2, puis je ferai la 3 et ainsi de suite! il construit les efl, la! (14/15)

Aplus!

Hors ligne

#61 Le 09/04/2006, à 15:34

blood

Re : # Nouveau problème # Install de e17.

c'est bien dans le bon repertoire wink
mes efl sont faites moi, c'est au niveau de engage que ca va plus hmm (la 7/7)

Hors ligne

#62 Le 09/04/2006, à 15:36

lut!n

Re : # Nouveau problème # Install de e17.

Blood : desolé les sources fournies etant seulement partielles, engage n'est pas dedans, tout comme les e_modules hmm. Ce soir, quand je rentrerais j'enverrais une version des sources avec les e_modules et le engage du 19 février. Ca date, mais ca marche et c'est mieux que rien. Patience, ce sera dispo vers 21h wink

edit : a ce stade e17 est fonctionnel, meme si tu peux encore compiler etk et entropy (choix 3,  n°8). Tu ne profiteras pas immédiatement de la barre a la MacOS X, mais ca ne t'empeche pas de commencer a decouvrir e17 wink

Dernière modification par lut!n (Le 09/04/2006, à 15:41)

Hors ligne

#63 Le 09/04/2006, à 15:40

blood

Re : # Nouveau problème # Install de e17.

big_smile merci beaucoup lut!n !!
Mais je me demande, je suis le premier cas du genre que tu rencontres ? ^^
Car si c'est ca j'ouvre la fenetre et je saute lol lol les exceptions c'est toujours moi qui me les choppe roll

Avec ces nouvelles sources, faudra-il que je desinstalle tout ce qui vient d'etre compilé ? ou n'aurais-je qu'a reprendre là ou ca c'est arreté ?

Dernière modification par blood (Le 09/04/2006, à 15:43)

Hors ligne

#64 Le 09/04/2006, à 15:43

lut!n

Re : # Nouveau problème # Install de e17.

Non tu n'est pas le premier du genre, mais ca arrive régulièrement avec les gens qui démarrent sous e17 wink. Apres, quand tu recompiles regulierement, tu te rends vite compte de ces petites choses la, comme les sources incomplètes wink

Dernière modification par lut!n (Le 09/04/2006, à 15:44)

Hors ligne

#65 Le 09/04/2006, à 15:58

Splitsch

Re : # Nouveau problème # Install de e17.

Salut!
Oups, engage foire aussi :d
J'attendrai alors !
Merci encore pour les sources smile
Aplus!

Hors ligne

#66 Le 09/04/2006, à 16:04

blood

Re : # Nouveau problème # Install de e17.

je viens d'installer etk et entropy smile
mais... on commence a etre abitué avec moi : ya un probleme lol
Dans les options session, a la place de "enlightement" il y a "foo" et lorsque je le lance il me mets cette erreur :

Xsession: unable to launch "/usr/bin/enlightement_start" Xsession ---"usr/bin/enlightement_start" not found; falling back to default session

et en effet je n'ai pas de /usr/bin/enlightement_start hmm

je sens que je vais attendre ce soir pour tout relancer avec tes "nouvelles" anciennes sources^^

Hors ligne

#67 Le 09/04/2006, à 16:07

lut!n

Re : # Nouveau problème # Install de e17.

sudo nano /usr/share/xsessions/enlightenment.desktop

et tu remplaces le 'foo' par un enlightenment ou tout autre chose si tu preferes, et ensuite tu vires la partie _start

Au final ton chemin dans Exec et TryExec doit etre /usr/bin/enlightenment
comme ca

[Desktop Entry]
Encoding=UTF-8
Name=Enlightenment
Comment=Log in using Enlightenment (Version 0.16.999.xxxx)
Type=XSession
Exec=/usr/bin/enlightenment
TryExec=/usr/bin/enlightenment

tu y est presque wink

Dernière modification par lut!n (Le 09/04/2006, à 16:09)

Hors ligne

#68 Le 09/04/2006, à 16:28

blood

Re : # Nouveau problème # Install de e17.

YOUUUUHOUUU big_smile
Je l'ai enfin lancé ^^ merci beaucoup !!!
je suis encore ébailli devant une telle splendeur lol
c'est superbe smile
je me lance sans plus tarder dans sa configuration, en premier temps le changement de bureau via la souris en bord d'écran qui me plait pas trop ^^ (si c'est possible, je verrais bien)
j'attend avec impatience la compilation d'engage et des e_modules pour en avoir enfin fini avec tout ca cool
mici mici ^^

Dernière modification par blood (Le 09/04/2006, à 16:46)

Hors ligne

#69 Le 09/04/2006, à 17:18

Splitsch

Re : # Nouveau problème # Install de e17.

Salut!
Cool, c'est marrant, on a réussi en meme temps...on a progressé à deux, quoi! tongue
Par contre, j'ai une petite question: pour lire la video et la musique, faut-il utiliser amarok ou tout autre logiciel qu'on utilisait sur Gnome ou existe-t-il des alterative "speciale-e17" ?

Merci, aplus!

Hors ligne

#70 Le 09/04/2006, à 17:35

fraide

Hors ligne

#71 Le 09/04/2006, à 18:11

Elessar

Re : # Nouveau problème # Install de e17.

dis blood tu as fais comment pour que ca marche parceque moi avec les sources de lut!n ca marche pas ca bloque a evas et sa sert a rien que je remette le log c'est toujours le meme:(
je déprime j'y arrive pas:(

Hors ligne

#72 Le 09/04/2006, à 18:26

Splitsch

Re : # Nouveau problème # Install de e17.

Salut!
Va dans synaptic, tu fais une recherche sur le nom et description, tu supprime tout ce qui est en rapport avec Enlightenment (supprression définitive, ou je ne sais quoi...)
Puis, dans /home/ton nom/ tu enlève le dossier e17 et tout ce qu'il contient!
Puis, tu télécharge le script de lutin et les sources. Tu décompresse les sources dans /home/ton nom/e17.
Tu lance le script et tu choisis l'option 2 puis 3 et voila!
Ne fais surtout pas l'option 7 ou 1.

VoiliVoilou, aplus!

Hors ligne

#73 Le 09/04/2006, à 18:51

Elessar

Re : # Nouveau problème # Install de e17.

bon j'ai fais l'option 3 il n'y a plus qu'a attendre.:(
je déprime toujours sad
pourquoi  il y a un truc qui foire ? sad
pourquoi il me faut toujours faire et refaire 8 fois chaque installe de linux et sous linux sad
sad

Dernière modification par Elessar (Le 09/04/2006, à 18:52)

Hors ligne

#74 Le 09/04/2006, à 18:58

Elessar

Re : # Nouveau problème # Install de e17.

le choix 3 foire sad

Votre choix : 3
A quelle application voulez-vous commencer la compilation? (Appuyez sur entree pour commencer au debut) [1-10] :
Compilation de e (1/7)
    - Construction des packages Debian

La commande s'est mal passee, Voulez-vous afficher les dernieres lignes du log ?oui
config.status: creating data/other/Makefile
config.status: creating data/xsession/Makefile
config.status: creating data/xsession/enlightenment.desktop
config.status: creating doc/Makefile
config.status: creating po/Makefile
config.status: creating intl/Makefile
config.status: creating enlightenment-config
config.status: creating debian/changelog
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing default-1 commands
config.status: executing default commands

********************************************************************
commande :   cd /home/tinou/e17/e17/apps/e && nice -n 0 dpkg-buildpackage -b -us -uc
********************************************************************

 dpkg-buildpackage: source package is enlightenment
dpkg-buildpackage: source version is 0.16.999.026-1
dpkg-buildpackage: source changed by Blake Barnett <shadoi@soulmachine.net>
dpkg-buildpackage: host architecture i386
dpkg-checkbuilddeps: Unmet build dependencies: libevas-dev libecore-dev libembryo-dev libedje-dev
dpkg-buildpackage: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: (Use -d flag to override.)

Temps d'execution : 0h 9m 50s

tro content le mec il va finir par passer avec son ordi par la fenetre si ca continue

totale déprime sad sad sad

Hors ligne

#75 Le 09/04/2006, à 19:17

lut!n

Re : # Nouveau problème # Install de e17.

@Elessar : tu vas quand meme pas me faire mentir quand je disais que je decidais d'etre patient. yikes
Alors maintenant tu m'ecoutes gentiment et tu fait CA ET RIEN D'AUTRE

1/ Tu vas dans synaptic et tu supprimes TOUT ce qui a un rapport avec e17 (eet, edb, imlib2, evas, ecore, tout les paquets de e17 en gros)
2/ tu supprimes tout ton dossier de sources e17
3/ tu telecharges les sources de ma signature et tu les decompresses
4/tu lances le script avec l'option -nocvs, comme ca :

sudo python compil-e17.py -nocvs

et tu choisis l'option 9.

5/quand c'est fini tu modifie le fichier /usr/share/xsessions/enlightenment.desktop comme marqué plus haut

voila .......

Elessar a écrit :

pourquoi il me faut toujours faire et refaire 8 fois chaque installe de linux et sous linux

sans vouloir etre mechant, c'est quand tu auras appris a lire

Je me tue a expliquer que ton probleme vient du fait que tu lances le script sans l'option -nocvs, ce qui te retelecharges des sources foireuses, mais tu n'en tiens meme pas compte .....:rolleyes: tu m'etonnes que ca marche pas


Edit : je viens de poster les sources incluant engage et les e_modules. Notez qu'il est inutile de tout recompiler, les apps et libs etant strictement les memes. Il vous suffit de reprendre la compilation des apps au n°7
Enjoy wink

Dernière modification par lut!n (Le 09/04/2006, à 20:12)

Hors ligne

Haut de page ↑